function z=cbiwe(x,y)

% CBIWE       Canonical Bi-weight Kernel Function for univariate data.

if nargin==1,
  z=kbiwe(x/2.0362)/2.0362;
  elseif nargin==2,
    z=kbiwe(x/2.0362).*kbiwe(y/2.0362)/2.0362^2;
end;
